expect_success {testthat} | R Documentation

## Tools for testing expectations

### Description

Use these expectations to test other expectations. Use `show_failure()` in examples to print the failure message without throwing an error.

### Usage

    expect_success(expr)

    expect_failure(expr, message = NULL, ...)

    show_failure(expr)

    expect_known_failure(path, expr)

### Arguments

`expr` | Expression that evaluates a single expectation.
`message` | Check that the failure message matches this regexp.
`...` | Other arguments passed on to `expect_match()`.
`path` | Path to save failure output

[Package testthat version 2.1.1 Index]